Create Custom Object

POST https://services.leadconnectorhq.com/objects

Allows you to create a custom object schema. To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0

Request

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123
Authorization
string
required

Access Token

Example:
Bearer 9c48df2694a849b6089f9d0d3513efe
Version
string
required

API Version

Allowed value:
2021-07-28
labels
object
required

This is what your custom object will be called. These labels will be used to display your custom object on the UI

Example:
{"singular":"Pet","plural":"Pets"}
singular
string
required

Singular name of the custom object

Example:
Pet
plural
string
required

Plural name of the custom object

Example:
Pets
key
string
required

key that would be used to refer the Custom Object internally (lowercase + underscore_separated). 'custom_objects.' would be added as prefix by default

Example:
custom_objects.pet
description
string

Pet Object`s description

Example:
These are non vaccinated pets
locationId
string
required

Location Id

Example:
ve9EPM428h8vShlRW1KT
primaryDisplayPropertyDetails
object
required

Primary property which will be displayed on the record page

key
string
required

key that would be used to refer the custom field internally (lowercase + underscore_separated). 'custom_objects.{{objectKey}}' would be added as prefix by default is not passed

Example:
custom_objects.pet.name
name
string
required

Name of the Primary property name which will be displayed on the record page

Example:
Pet name
dataType
string
required

Primary property data Type (it can either be TEXT or NUMERICAL type)

Example:
TEXT

Responses

Successful response

object
object
id
string
required

id of the custom / standard object schema

Example:
661c06b4ffde146bdb469442
standard
boolean
required

false in case of custom objects and true in case of standard objects like contacts and opportunities

Example:
false
key
string
required

key that would be used to refer the custom / standard Object internally (lowercase + underscore_separated). For custom objects, 'custom_objects.' would be added as prefix by default

Example:
custom_objects.pet
labels
object
required

This is what your custom / standard object will be called. These labels will be used to display your custom object on the UI

Example:
{"singular":"Pet","plural":"Pets"}
description
string

Custom / Standard Object Descriptions for example , Pet Object`s description

Example:
These are non vaccinated pets
locationId
string
required

location's id

Example:
Q9DT3OAqEXDLYuob1G32
primaryDisplayProperty
string
required

Primary property for the custom / standard Object. This would be used as primary data when rendering the UI. 'custom_objects.{{object_key}} or business.{{object_key}} (for company)' would be added as prefix by default for all the custom / standard objects

Example:
custom_objects.pet.name
dateAdded
string<date-time>
required

Date and time when the object was added

dateUpdated
string<date-time>
required

Date and time when the object was last updated

type
object

Object`s Type

Example:
The Object type can either USER_DEFINED or SYSTEM_DEFINED

Bad Request

statusCode
number
Example:
400
message
string
Example:
Bad Request

Unauthorized

statusCode
number
Example:
401
message
string
Example:
Invalid token: access token is invalid
error
string
Example:
Unauthorized

Unprocessable Entity

statusCode
number
Example:
422
message
array[string]
Example:
["Unprocessable Entity"]
error
string
Example:
Unprocessable Entity